<?php
        session_start();

        if(file_exists("./funkce.php")) {
                include("./funkce.php");
        } else {
                die("Soubor <b>funkce.php</b> nebyl nalezen!");
        }

        if(file_exists("./texyla/texyla.php")) {
                include("./texyla/texyla.php");
        } else {
                die("Soubor <b>./texyla/texyla.php</b> nebyl nalezen!");
        }

        nutna_registrace();
        $js_form = js_form();
        $js_hover = js_hover();

        $id_tematu = 1 * $_GET[tema];
        $row = mysql_fetch_array(dotaz("SELECT forum,skupina,jmeno,zamknuto,dulezite FROM forum_temata WHERE id = '$id_tematu';"));
        if(empty($row)) { header("Location: index.php"); die("Toto téma nebylo nalezeno! <a href=\"index.php\">Zpět</a>."); }

        $id_fora = $row[0];
        $id_skupiny = $row[1];
        $jmeno_tematu = stripslashes($row[2]);
        $zamknuto = $row[3];
        $dulezite = $row[4];

        if(isset($_POST[neodeslat_form])) {
                header("Location: tema.php?tema=$id_tematu");
                exit();
        } elseif(isset($_GET[ban])) {
                if((ereg("(^[+]?[0-9.]{7,16}$)", $_GET[ban])) && ($prihlaseni_admin == 1)) {
                        header("Location: admin_ban_ip.php?ban=$_GET[ban]");
                        exit();
                } else {
                        header("Location: tema.php?tema=$id_tematu");
                        exit();
                }
        } elseif(($_GET[presun] == "1") && ($prihlaseni_admin == 1)) {
                $presun_id = 1 * $_GET[presun];
                $query = dotaz("SELECT jmeno,id FROM forum_fora ORDER BY jmeno;");
                while($row = mysql_fetch_array($query)) {
                        $zobraz_form .= "<option value=\"".$row[id]."\">".$row[jmeno]."</option>";
                }
                $zobraz_form = "<form action=\"tema.php?tema=".$id_tematu."\" method=\"post\"><fieldset><legend>Přesunout téma</legend><label>Vyberte fórum, kam chcete téma přesunout:</label><select name=\"forum_presun\">".$zobraz_form."</select><input type=\"hidden\" name=\"tema_presun\" value=\"".$id_tematu."\"><br /><br /><input type=\"submit\" name=\"presunout\" value=\"Přesunout\"><br /><br /></fieldset></form>";
        } elseif((isset($_POST[presunout])) && ($prihlaseni_admin == 1)) {
                $posledni = date("U");
                $forum_presun = 1 * $_POST[forum_presun];
                $tema_presun = 1 * $_POST[tema_presun];
                dotaz("UPDATE forum_temata SET forum = '$forum_presun', posledni = '$posledni' WHERE id = '$tema_presun';");
                dotaz("UPDATE forum_prispevky SET forum = '$forum_presun' WHERE tema = '$tema_presun';");
                $prispevku = mysql_affected_rows();
                dotaz("UPDATE forum_fora SET prispevku = prispevku - '$prispevku', temat = temat - 1 WHERE id = '$id_fora';");
                dotaz("UPDATE forum_fora SET prispevku = prispevku + '$prispevku', temat = temat + 1 WHERE id = '$forum_presun';");
                header("Location: tema.php?tema=$id_tematu");
        } elseif(isset($_GET[smazani])) {
                if((isset($_POST[smazat_tema])) && ($prihlaseni_admin == 1)) {
                        $smazani_id = 1 * $_GET[id];
                        dotaz("DELETE FROM forum_temata WHERE id = '$smazani_id' LIMIT 1");
                        dotaz("DELETE FROM forum_prispevky WHERE tema = '$smazani_id'");
                        $smazanych_prispevku = mysql_affected_rows();
                        dotaz("UPDATE forum_fora SET prispevku = prispevku - '$smazanych_prispevku', temat = temat - 1 WHERE id = '$id_fora'");
                        header("Location: forum.php?forum=$id_fora");
                        exit();
                } elseif((isset($_POST[smazat_prispevek])) && ($prihlaseni_admin == 1)) {
                        $smazani_id = 1 * $_GET[id];
                        dotaz("DELETE FROM forum_prispevky WHERE id = '$smazani_id' LIMIT 1");
                        dotaz("UPDATE forum_fora SET prispevku = prispevku - 1 WHERE id = '$id_fora'");
                        dotaz("UPDATE forum_temata SET odpovedi = odpovedi - 1 WHERE id = '$id_tematu'");
                        header("Location: tema.php?tema=$id_tematu");
                        exit();
                } elseif($prihlaseni_admin == 1) {
                        if($_GET[smazani] == "tema") {
                                $zobraz_form = "<form action=\"tema.php?id=".$_GET[id]."&#38;tema=".$_GET[tema]."&#38;smazani=1\" method=\"post\"><fieldset><legend>Smazání tématu</legend><label>Opravdu si přejete toto téma smazat?</label><input type=\"submit\" value=\"Ano\" name=\"smazat_tema\" /> <input type=\"submit\" value=\"Ne\" name=\"neodeslat_form\" /><br /><br /></fieldset></form>";
                        } elseif($_GET[smazani] == "prispevek") {
                                $zobraz_form = "<form action=\"tema.php?id=".$_GET[id]."&#38;tema=".$_GET[tema]."&#38;smazani=1\" method=\"post\"><fieldset><legend>Smazání příspěvku</legend><label>Opravdu si přejete tento příspěvek smazat?</label><input type=\"submit\" value=\"Ano\" name=\"smazat_prispevek\" /> <input type=\"submit\" value=\"Ne\" name=\"neodeslat_form\" /><br /><br /></fieldset></form>";
                        } else {
                                header("Location: tema.php?tema=$id_tematu");
                                exit();
                        }
                } else {
                        header("Location: tema.php?tema=$id_tematu");
                        exit();
                }
        } elseif((isset($_POST[editovat])) && ($prihlaseni)) {
                if(!empty($_POST[robutek])) { exit(); }
                $chyba_vlozeni .= overeni_vyplneni($_POST[zprava], "Zpráva");
                if(!empty($chyba_vlozeni)) {
                        $chyba_vlozeni = "<br /><b>Editace nebyla provedena. Možné příčiny:</b><br />".$chyba_vlozeni;
                        $polozky_vlozeni = Array($_POST[zprava]);
                } else {
                        $edit = 1 * $_GET[edit];
                        $zprava = addslashes($_POST[zprava]);
                        dotaz("UPDATE forum_prispevky SET zprava = '$zprava' WHERE id = '$edit'");
                        header("Location: tema.php?tema=$id_tematu");
                }
        } elseif(isset($_GET[edit])) {
                $edit = 1 * $_GET[edit];
                $row = mysql_fetch_array(dotaz("SELECT id_uzivatele,zprava FROM forum_prispevky WHERE id = '$edit'"));
                if(($row[0] != $prihlaseni_id) || (!$prihlaseni)) {
                        header("Location: tema.php?tema=$id_tematu");
                        exit();
                } else {
                        $edit_zprava = stripslashes($row[zprava]);
                }
        } elseif(isset($_POST[odeslat])) {
                $ip = $_SERVER[REMOTE_ADDR];
                $chyba_vlozeni .= je_ban($ip);
                if(!empty($_POST[robutek])) { exit(); }
                if(!$prihlaseni) { 
                        $chyba_vlozeni .= over_cislo($_POST[sifra],$_POST[cislo]); 
                        $chyba_vlozeni .= overeni_vyplneni($_POST[jmeno], "Jméno");
                        $jmeno = orez_retezec_2($_POST[jmeno]);
                } else {
                        $jmeno = $prihlaseni_jmeno;
                }

                $chyba_vlozeni .= overeni_vyplneni($_POST[zprava], "Zpráva");

                if(!empty($chyba_vlozeni)) {
                        $chyba_vlozeni = "<br /><b>Zpráva nebyla vložena. Možné příčiny:</b><br />".$chyba_vlozeni;
                        $polozky_vlozeni = Array($_POST[jmeno], $_POST[zprava]);
                } else {
                        $zprava = addslashes($_POST[zprava]);
                        $datum = "Datum: ".date("j.n.Y")."<br />Čas: ".date("H:i:s");

                        $posledni_tema = date("U");
                        $mesice = Array("ledna", "února", "března", "dubna", "května", "června", "července", "srpna", "září", "října", "listopadu", "prosince");
                        $mesic = date("n") - 1;
                        $posledni_forum = date("j").".".$mesice[$mesic]."<br />".date("H:i:s");

                        if($dulezite != 1) { 
                                dotaz("UPDATE forum_temata SET posledni = '$posledni_tema' WHERE id = '$id_tematu';"); 
                                $cas = date("U");
                                dotaz("UPDATE forum_fora SET posledni2 = '$cas' WHERE id = '$id_fora';");
                        }

                        dotaz("UPDATE forum_temata SET odpovedi = odpovedi + 1 WHERE id = '$id_tematu';");
                        dotaz("INSERT INTO forum_prispevky SET forum = '$id_fora', skupina = '$id_skupiny', tema = '$id_tematu', jmeno = '$jmeno', datum = '$datum', id_uzivatele = '$prihlaseni_id', zprava = '$zprava', ip = '$ip';");
                        dotaz("UPDATE forum_fora SET prispevku = prispevku + 1, posledni = '$posledni_forum' WHERE id = '$id_fora';");
                        dotaz("UPDATE forum_temata SET posledni2 = '$posledni_forum' WHERE id = '$id_tematu';");
                        if(isset($prihlaseni_id)) { dotaz("UPDATE forum_uzivatele SET prispevku = prispevku + 1 WHERE id = '$prihlaseni_id';"); }
                        header("Location: tema.php?tema=".$id_tematu."");
                }
        } elseif((isset($_POST[editovat_titulek])) && ($prihlaseni_admin == 1)) {
                $edit_titulek = orez_retezec_2($_POST[edit_titulek]);
                dotaz("UPDATE forum_temata SET jmeno = '$edit_titulek' WHERE id = '$id_tematu';");
                header("Location: tema.php?tema=$id_tematu");
                exit();                
        } elseif((isset($_GET[edit_titulek])) && ($prihlaseni_admin == 1)) {
                $edit = mysql_fetch_array(dotaz("SELECT jmeno FROM forum_temata WHERE id = '$id_tematu';"));
                $zobraz_form = "<form action=\"tema.php?tema=".$id_tematu."\" method=\"post\"><fieldset><legend>Přejmenovat téma</legend><label>Titulek tématu:</label><input type=\"text\" name=\"edit_titulek\" value=\"".$edit[jmeno]."\" /><br /><br /><input type=\"submit\" name=\"editovat_titulek\" value=\"Přejmenovat\"><br /><br /></fieldset></form>";
        } elseif((isset($_GET[zamknout])) && ($prihlaseni_admin == 1)) {
                if(isset($_POST[zamknout])) {
                        dotaz("UPDATE forum_temata SET zamknuto = '1' WHERE id = '$id_tematu';");
                        header("Location: tema.php?tema=$id_tematu");
                        exit();
                } elseif(isset($_POST[odemknout])) {
                        dotaz("UPDATE forum_temata SET zamknuto = '0' WHERE id = '$id_tematu';");
                        header("Location: tema.php?tema=$id_tematu");
                        exit();
                } elseif($_GET[zamknout] == 1) { 
                        $zobraz_form = "<form action=\"tema.php?tema=".$id_tematu."&#38;zamknout=1\" method=\"post\"><fieldset><legend>Zamknout téma</legend><label>Přejete si zamknout toto téma?</label><input type=\"submit\" value=\"Ano\" name=\"zamknout\" /> <input type=\"submit\" value=\"Ne\" name=\"neodeslat_form\" /><br /><br /></fieldset></form>";
                } elseif($_GET[zamknout] == 0) { 
                        $zobraz_form = "<form action=\"tema.php?tema=".$id_tematu."&#38;zamknout=0\" method=\"post\"><fieldset><legend>Odemknout téma</legend><label>Přejete si odemknout toto téma?</label><input type=\"submit\" value=\"Ano\" name=\"odemknout\" /> <input type=\"submit\" value=\"Ne\" name=\"neodeslat_form\" /><br /><br /></fieldset></form>";
                }
        } elseif((isset($_GET[dulezite])) && ($prihlaseni_admin == 1)) {
                if(isset($_POST[dulezite1])) {
                        dotaz("UPDATE forum_temata SET dulezite = '1', posledni = '3000000000' WHERE id = '$id_tematu';");
                        header("Location: tema.php?tema=$id_tematu");
                        exit();
                } elseif(isset($_POST[dulezite0])) {
                        $epoch = date("U");
                        dotaz("UPDATE forum_temata SET dulezite = '0', posledni = '$epoch' WHERE id = '$id_tematu';");
                        header("Location: tema.php?tema=$id_tematu");
                        exit();
                } elseif($_GET[dulezite] == 1) { 
                        $zobraz_form = "<form action=\"tema.php?tema=".$id_tematu."&#38;dulezite=1\" method=\"post\"><fieldset><legend>Označit \"důležité\"</legend><label>Přejete si označit toto téma jako důležité?</label><input type=\"submit\" value=\"Ano\" name=\"dulezite1\" /> <input type=\"submit\" value=\"Ne\" name=\"neodeslat_form\" /><br /><br /></fieldset></form>";
                } elseif($_GET[dulezite] == 0) { 
                        $zobraz_form = "<form action=\"tema.php?tema=".$id_tematu."&#38;dulezite=0\" method=\"post\"><fieldset><legend>Zrušit \"důležité\"</legend><label>Přejete si zrušit označení důležité tohoto tématu?</label><input type=\"submit\" value=\"Ano\" name=\"dulezite0\" /> <input type=\"submit\" value=\"Ne\" name=\"neodeslat_form\" /><br /><br /></fieldset></form>";
                }
        }

        echo hlavicka("$forum_jmeno | $jmeno_tematu");
        echo logo();
        echo menu();

        $row = mysql_fetch_array(dotaz("SELECT jmeno FROM forum_skupiny WHERE id = '$id_skupiny';"));
        $jmeno_skupiny = $row[0];

        $row = mysql_fetch_array(dotaz("SELECT jmeno FROM forum_fora WHERE id = '$id_fora';"));
        $jmeno_fora = $row[0];

        if(!eregi("tema.php",$_SERVER[HTTP_REFERER])) {
                dotaz("UPDATE forum_temata SET zhlednuto = zhlednuto + 1 WHERE id = '$id_tematu';");
        }

        echo "<div id=\"navigace\"><a href=\"index.php\" title=\"".$forum_jmeno."\">".$jmeno_skupiny."</a> &gt; <a href=\"forum.php?forum=".$id_fora."\" title=\"Fórum - ".$jmeno_fora."\">".$jmeno_fora."</a> &gt; <a href=\"tema.php?tema=".$id_tematu."\" title=\"Téma - ".$jmeno_tematu."\">".$jmeno_tematu."</a></div>\n\t".$zobraz_form."<table cellspacing=\"0\" cellpadding=\"0\" id=\"zpravy\">\n";

        if(empty($_GET[strana])) { $strana = 1; } else { $strana = 1 * $_GET[strana]; }
        $od = ($strana - 1) * $pocet_prispevku_na_stranku;
        $query = dotaz("SELECT * FROM forum_prispevky WHERE tema = '$id_tematu' ORDER BY id LIMIT $od,$pocet_prispevku_na_stranku;");
        $i = 0;
        while($row = mysql_fetch_array($query)) {
                if($row[id_uzivatele] == 0) { $jmeno = $row[jmeno]; } else { $jmeno = "<a href=\"profil.php?uzivatel=".$row[id_uzivatele]."\" title=\"Profil uživatele\">".$row[jmeno]."</a>"; }

                $smazani = "";
                if(($prihlaseni_admin == 1) && ($i == 0) && ($strana == 1)) { 
                        $smazani = "<br /><a href=\"tema.php?smazani=tema&#38;id=".$row[tema]."&#38;tema=".$id_tematu."\" title=\"smazat téma\">smazat téma</a><br /><a href=\"tema.php?tema=".$id_tematu."&#38;presun=1\" title=\"Přesunout téma\">přesunout téma</a><br /><a href=\"tema.php?tema=".$id_tematu."&#38;edit_titulek=1\" title=\"Přejmenovat\">přejmenovat téma</a>"; 
                        if($zamknuto == 0) {
                                $smazani .= "<br /><a href=\"tema.php?tema=".$id_tematu."&#38;zamknout=1\" title=\"zamknout téma\">zamknout téma</a>";
                        } else {
                                $smazani .= "<br /><a href=\"tema.php?tema=".$id_tematu."&#38;zamknout=0\" title=\"odemknout téma\">odemknout téma</a>";
                        }
                        if($dulezite == 0) {
                                $smazani .= "<br /><a href=\"tema.php?tema=".$id_tematu."&#38;dulezite=1\" title=\"označit důležité\">označit \"důležité\"</a>";
                        } else {
                                $smazani .= "<br /><a href=\"tema.php?tema=".$id_tematu."&#38;dulezite=0\" title=\"zrušit důležité\">zrušit \"důležité\"</a>";
                        }
                }
                elseif($prihlaseni_admin == 1) { $smazani = "<br /><a href=\"tema.php?smazani=prispevek&#38;id=".$row[id]."&#38;tema=".$id_tematu."\" title=\"smazat příspěvek\">smazat příspěvek</a>"; }
                if(($prihlaseni_id == $row[id_uzivatele]) && ($prihlaseni)) { $smazani .= "<br /><a href=\"tema.php?edit=".$row[id]."&#38;tema=".$id_tematu."#pridat_zpravu\" title=\"Editovat příspěvek\">editovat příspěvek</a>"; }
                if($prihlaseni_admin == 1) { $smazani .= "<br /><a href=\"tema.php?tema=".$id_tematu."&#38;ban=".$row[ip]."\" title=\"Zabanovat IP adresu\">".$row[ip]."</a>"; }

                echo "\t\t<tr ".$js_hover.">
                        <td class=\"informace\">
                                Od: <b>".stripslashes($jmeno)."</b><br />
                                ".$row[datum]."".$smazani."
                        </td>
                        <td class=\"zprava\">
                                ".texyla(stripslashes($row[zprava]), "forum")."
                        </td>
                </tr>\n";
                $i++;
                $plne = 1;
        }

        if($plne != 1) {
                echo "<tr class=\"tema\" align=\"center\"><td colspan=\"3\"><br />Tato strana neobsahuje žádné příspěvky.<br /><br /></td></tr>";
        }

        $row = mysql_fetch_array(dotaz("SELECT count(*) FROM forum_prispevky WHERE tema = '$id_tematu';"));
        $pocet_prispevku = $row[0];
        $stran = ceil($pocet_prispevku / $pocet_prispevku_na_stranku);
        echo "\t</table>\n\t<div id=\"strankovani\">\n\t\tstrana: ";
        for($i = 1; $i <= $stran; $i++) {
                echo "<a href=\"tema.php?tema=".$id_tematu."&#38;strana=".$i."\" title=\"Téma - ".$jmeno_tematu."\">";
                if($strana == $i) { echo "<b>".$i."</b>"; } else { echo $i;} 
                if($i != $stran) { echo "</a>&nbsp;.&nbsp;"; } else { echo "</a>&nbsp;"; }
        }

        echo "\n\t</div>";

        if($zamknuto == 1) {
                echo "\t<div id=\"oznameni\">Toto téma bylo uzamčeno. Nelze do něj vkládat příspěvky.</div>\n";
        } elseif((($prihlaseni) || ($pristupnost == 0)) && (isset($_GET[edit]))) {
                echo "\t<form action=\"tema.php?forum=".$id_fora."&#38;tema=".$id_tematu."&#38;edit=".$edit."\" method=\"post\" id=\"pridat_zpravu\" name=\"post\">
                <fieldset>
                        <legend>Editovat zprávu</legend>\n".$chyba_vlozeni;

                echo "\t\t\t<label>Zpráva:*</label><textarea name=\"zprava\" cols=\"\" rows=\"\" ".$js_form." id=\"txt\">".$edit_zprava."</textarea>\n";


                echo "\t\t\t<br /><input type=\"submit\" name=\"editovat\" value=\"Editovat\" id=\"odeslat\" /><br />
                        <span class=\"small\">* - povinné položky</span>
                </fieldset>
        </form>
                <script type=\"text/javascript\">
                        options = Texyla.configurator.forum(document.forms[0].txt);
                        options.coolButtons = false;
                        options.theme = 'default';
                        options.editorWidth = 'auto';
                        var Texyla1 = new Texyla(options);
                </script>\n";

        } elseif(($prihlaseni) || ($pristupnost == 0)) {
                echo "\t<form action=\"tema.php?forum=".$id_fora."&#38;tema=".$id_tematu."\" method=\"post\" id=\"pridat_zpravu\" name=\"post\">
                <fieldset>
                        <legend>Přidat zprávu</legend>\n".$chyba_vlozeni;

                if($prihlaseni) {
                        echo "\t\t\t<label>Jméno:</label><b>".$prihlaseni_jmeno."</b><br />\n";
                } else {
                        echo "\t\t\t<label>Jméno:*</label><input type=\"text\" name=\"jmeno\" ".$js_form." value=\"".$polozky_vlozeni[0]."\" /><br />\n";
                }

                echo "\t\t\t<label>Zpráva:*</label><textarea name=\"zprava\" cols=\"\" rows=\"\" ".$js_form." id=\"txt\">".$polozky_vlozeni[1]."</textarea>\n";

                if(!$prihlaseni) {
                        $cislo_sifra = nahodne_cislo();
                        echo "\t\t\t<label>Opište číslicí:* <b>".$cislo_sifra[cislo]."</b></label><input type=\"text\" name=\"cislo\" id=\"kod\" ".$js_form." /><input type=\"hidden\" name=\"sifra\" value=\"".$cislo_sifra[sifra]."\" /><input type=\"hidden\" name=\"robutek\" />\n";
                }

                echo "\t\t\t<br /><input type=\"submit\" name=\"odeslat\" value=\"Odeslat\" id=\"odeslat\" /><br />
                        <span class=\"small\">* - povinné položky</span>
                </fieldset>
        </form>
                <script type=\"text/javascript\">
                        options = Texyla.configurator.forum(document.forms[0].txt);
                        options.coolButtons = false;
                        options.theme = 'default';
                        options.editorWidth = 'auto';
                        var Texyla1 = new Texyla(options);
                </script>\n";

        } else {
                echo "\t<div id=\"oznameni\">Pro vkládání příspěvků do tohoto fóra se musíte nejprve <a href=\"prihlaseni.php\" title=\"Přihlášení\">přihlásit</a>, případně se <a href=\"registrace.php\" title=\"Registrace\">zaregistrovat</a></div>\n";
        }

        echo $paticka; 
?>